Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-reason-q850-loc-07.txt

From: "Roland Jesske" <[email-masked]>
Date: Tue, 19 Mar 2019 20:25:27 +0100

Hi,

Sorry for my late answer. I'm not in the office.

So personally I do not care. And I got no other comment from my people. So we could also go fore case insensitive if people are happy. If it is ok I will release an further draft when I'm back.

Roland

--

Diese Nachricht wurde von meinem Android Mobiltelefon mit WEB.DE Mail gesendet.

Am 19.03.19, 02:57, Ben Campbell <[email-masked]> schrieb:

> On Mar 15, 2019, at 1:27 PM, Adam Roach wrote:
>
> On 3/15/19 1:22 PM, Paul Kyzivat wrote:
>> Is there a reason why isup-location-value is case sensitive? Most stuff in sip is not.
>
>
> The initial draft was ambiguous, although the use of all-caps implied (to me, at least) an intention for case-sensitivity. I don't care how it's resolved, but it can't be ambiguous. It may well be that case-insensitivity is the right choice here.
>
> (I note that we didn't try to use mnemonic tokens for cause-code; I suspect we could have simply defined location as an integer -- but I get the impression that we have implementations in the field already, so it's probably too late to make such a change.)

I would assume it to be the same as for 3326, which of course doesn’t say either. But doesn’t 3261 make all this sort of thing case-insensitive unless stated otherwise? 7.3.1 says "Unless otherwise stated in the definition of a particular header field, field values, parameter names, and parameter values are case-insensitive.“

Ben.

>
> /a
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore

_______________________________________________
sipcore mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sipcore